# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)


## v4.19.31
  - a2cddfe2ce6e Linux 4.19.31
  - 3053cb9701cd s390/setup: fix boot crash for machine without EDAT-1
  - e578f90d8a9c bcache: use (REQ_META|REQ_PRIO) to indicate bio for metadata
  - 5ffb710b03d5 KVM: nVMX: Ignore limit checks on VMX instructions using flat segments
  - 29b515c27c0a KVM: nVMX: Apply addr size mask to effective address for VMX instructions
  - 9ce0ffeb68b6 KVM: nVMX: Sign extend displacements of VMX instr's mem operands
  - c235af5a10f2 KVM: x86/mmu: Do not cache MMIO accesses while memslots are in flux
  - 656e9e5d5529 KVM: x86/mmu: Detect MMIO generation wrap in any address space
  - 23ad135ae66f KVM: Call kvm_arch_memslots_updated() before updating memslots
  - 585715ef18bf drm/amd/display: don't call dm_pp_ function from an fpu block
  - 17982c6a649b drm/amd/powerplay: correct power reading on fiji
  - 808b1c1e28e8 drm/radeon/evergreen_cs: fix missing break in switch statement
  - 9bc6e5673949 drm/fb-helper: generic: Fix drm_fbdev_client_restore()
  - 87bfc7b695bd media: imx: csi: Stop upstream before disabling IDMA channel
  - 54b941202391 media: imx: csi: Disable CSI immediately after last EOF
  - 73236bf581e9 media: vimc: Add vimc-streamer for stream control
  - 29e8c9ae99c7 media: uvcvideo: Avoid NULL pointer dereference at the end of streaming
  - 77b4e7454bbd media: lgdt330x: fix lock status reporting
  - 6039128dc6bf media: imx: prpencvf: Stop upstream before disabling IDMA channel
  - e97a32a5a3bc rcu: Do RCU GP kthread self-wakeup from softirq and interrupt
  - bce45a547546 tpm: Unify the send callback behaviour
  - af0c1bd0c5e9 tpm/tpm_crb: Avoid unaligned reads in crb_recv()
  - cc3b79d487e8 md: Fix failed allocation of md_register_thread
  - 01088750f25e perf intel-pt: Fix divide by zero when TSC is not available
  - 30cedf18d1e2 perf/x86/intel/uncore: Fix client IMC events return huge result
  - a46a8cdfea3c perf intel-pt: Fix overlap calculation for padding
  - fa592fc0bde5 perf auxtrace: Define auxtrace record alignment
  - d8f691f29d91 perf tools: Fix split_kallsyms_for_kcore() for trampoline symbols
  - e25353a0ac44 perf intel-pt: Fix CYC timestamp calculation after OVF
  - 3e5a054b0f70 x86/unwind/orc: Fix ORC unwind table alignment
  - b05581b8ba9c vt: perform safe console erase in the right order
  - 2ca85aac1213 stable-kernel-rules.rst: add link to networking patch queue
  - 622afe5c7449 bcache: never writeback a discard operation
  - cd73824636cb PM / wakeup: Rework wakeup source timer cancellation
  - 43bceddcd7e2 svcrpc: fix UDP on servers with lots of threads
  - 4af185feb9df NFSv4.1: Reinitialise sequence results before retransmitting a request
  - ecab6ab1c227 nfsd: fix wrong check in write_v4_end_grace()
  - 8056912c1c75 nfsd: fix memory corruption caused by readdir
  - 10a68cdf1035 nfsd: fix performance-limiting session calculation
  - 2c648caf630d NFS: Don't recoalesce on error in nfs_pageio_complete_mirror()
  - 63b0ee126f7e NFS: Fix an I/O request leakage in nfs_do_recoalesce
  - be74fddc976e NFS: Fix I/O request leakages
  - 4ea4f347662c cpcap-charger: generate events for userspace
  - ce02d82c4e1a mfd: sm501: Fix potential NULL pointer dereference
  - 5579d97e92f7 dm integrity: limit the rate of error messages
  - 7668d6e45f3a dm: fix to_sector() for 32bit
  - a441fdaf8c30 ipmi_si: fix use-after-free of resource->name
  - 3cbae9fa85ce arm64: KVM: Fix architecturally invalid reset value for FPEXC32_EL2
  - c113a7fb017b arm64: debug: Ensure debug handlers check triggering exception level
  - 85c8ea220f89 arm64: Fix HCR.TGE status for NMI contexts
  - 58691e6a93d8 ARM: s3c24xx: Fix boolean expressions in osiris_dvs_notify
  - d6d004b3dd70 powerpc/traps: Fix the message printed when stack overflows
  - 461a52a44893 powerpc/traps: fix recoverability of machine check handling on book3s/32
  - baed68a953ac powerpc/hugetlb: Don't do runtime allocation of 16G pages in LPAR configuration
  - 9d2e929c3bae powerpc/ptrace: Simplify vr_get/set() to avoid GCC warning
  - 344996a835d4 powerpc: Fix 32-bit KVM-PR lockup and host crash with MacOS guest
  - 3bf8ff7bc667 powerpc/powernv: Don't reprogram SLW image on every KVM guest entry/exit
  - f6f03d6078b1 powerpc/83xx: Also save/restore SPRG4-7 during suspend
  - b0934990125a powerpc/powernv: Make opal log only readable by root
  - 9b5305504709 powerpc/wii: properly disable use of BATs when requested.
  - 40b97853c200 powerpc/32: Clear on-stack exception marker upon exception return
  - c7dad095f35a security/selinux: fix SECURITY_LSM_NATIVE_LABELS on reused superblock
  - e4f6f82c9edc selinux: add the missing walk_size + len check in selinux_sctp_bind_connect
  - 584f390d1039 jbd2: fix compile warning when using JBUFFER_TRACE
  - dbe4bc993836 jbd2: clear dirty flag when revoking a buffer from an older transaction
  - 3545324fba52 serial: 8250_pci: Have ACCES cards that use the four port Pericom PI7C9X7954 chip use the pci_pericom_setup()
  - 8225bb965f29 serial: 8250_pci: Fix number of ports for ACCES serial cards
  - 9d0b55bb2aec serial: 8250_of: assume reg-shift of 2 for mrvl,mmp-uart
  - a4b021ec4b5a serial: uartps: Fix stuck ISR if RX disabled with non-empty FIFO
  - 9920eb4003c5 bpf: only test gso type on gso packets
  - 206fa92c9d52 drm/i915: Relax mmap VMA check
  - 116a9e31237c can: flexcan: FLEXCAN_IFLAG_MB: add () around macro argument
  - 6f29e4c2dbb1 gpio: pca953x: Fix dereference of irq data in shutdown
  - e86a57ecdfac media: i2c: ov5640: Fix post-reset delay
  - 5f9614d0540b i2c: tegra: fix maximum transfer size
  - 25970b517db1 parport_pc: fix find_superio io compare code, should use equal test.
  - 57c29a08c4cf intel_th: Don't reference unassigned outputs
  - c835b4417c18 device property: Fix the length used in PROPERTY_ENTRY_STRING()
  - 93c8a44a8297 kernel/sysctl.c: add missing range check in do_proc_dointvec_minmax_conv
  - 09417dd35e37 mm/memory.c: do_fault: avoid usage of stale vm_area_struct
  - c1ddc7b785b4 mm/vmalloc: fix size check for remap_vmalloc_range_partial()
  - 234c0cc98221 mm: hwpoison: fix thp split handing in soft_offline_in_use_page()
  - c7fd1a968c5d dmaengine: usb-dmac: Make DMAC system sleep callbacks explicit
  - 822e21853439 usb: typec: tps6598x: handle block writes separately with plain-I2C adapters
  - 8415e718a06b usb: chipidea: tegra: Fix missed ci_hdrc_remove_device()
  - b1c1ef7b4d63 clk: ingenic: Fix doc of ingenic_cgu_div_info
  - 4a04611fc266 clk: ingenic: Fix round_rate misbehaving with non-integer dividers
  - 33e7604ac8fd clk: samsung: exynos5: Fix kfree() of const memory on setting driver_override
  - 4d1de1e6d266 clk: samsung: exynos5: Fix possible NULL pointer exception on platform_device_alloc() failure
  - 9aba7a8fd163 clk: clk-twl6040: Fix imprecise external abort for pdmclk
  - 6e02a5f5aba3 clk: uniphier: Fix update register for CPU-gear
  - 62600af3a7cb ext2: Fix underflow in ext2_max_size()
  - c335b49379b5 cxl: Wrap iterations over afu slices inside 'afu_list_lock'
  - 54674984d478 IB/hfi1: Close race condition on user context disable and close
  - 09bc2f5a16a9 PCI: dwc: skip MSI init if MSIs have been explicitly disabled
  - 13a9d14fbf1b PCI/DPC: Fix print AER status in DPC event handling
  - c733cf4abfba PCI/ASPM: Use LTR if already enabled by platform
  - 8a4fdc649ca9 ext4: fix crash during online resizing
  - a0d876c77705 ext4: add mask of ext4 flags to swap
  - 048bfb5bc05f ext4: update quota information while swapping boot loader inode
  - 071f68163cc0 ext4: cleanup pagecache before swap i_data
  - cdf9941b7707 ext4: fix check of inode in swap_inode_boot_loader
  - ae228aca576d cpufreq: pxa2xx: remove incorrect __init annotation
  - f65b34d0f979 cpufreq: tegra124: add missing of_node_put()
  - 33565a76a7b2 cpufreq: kryo: Release OPP tables on module removal
  - ee7d297fba24 x86/kprobes: Prohibit probing on optprobe template code
  - a477075ebab3 irqchip/brcmstb-l2: Use _irqsave locking variants in non-interrupt code
  - c8666ede18ec irqchip/gic-v3-its: Avoid parsing _indirect_ twice for Device table
  - b92fad6995c3 libertas_tf: don't set URB_ZERO_PACKET on IN USB transfer
  - 02c55be588b1 soc: qcom: rpmh: Avoid accessing freed memory from batch API
  - 898488e2988c Btrfs: fix corruption reading shared and compressed extents after hole punching
  - 1a00f7fd0fbf btrfs: ensure that a DUP or RAID1 block group has exactly two stripes
  - 6e24f5a1ebb1 Btrfs: setup a nofs context for memory allocation at __btrfs_set_acl
  - 61f9209676e8 Btrfs: setup a nofs context for memory allocation at btrfs_create_tree()
  - fcbf12e23d99 m68k: Add -ffreestanding to CFLAGS
  - 205f149f1a35 ovl: Do not lose security.capability xattr over metadata file copy-up
  - 6f048ae2d25f ovl: During copy up, first copy up data and then xattrs
  - 2af926fd52fc splice: don't merge into linked buffers
  - 1c2123ff4312 fs/devpts: always delete dcache dentry-s in dput()
  - d8ae662b400f scsi: qla2xxx: Fix LUN discovery if loop id is not assigned yet by firmware
  - f4a9fd5652d5 scsi: target/iscsi: Avoid iscsit_release_commands_from_conn() deadlock
  - 852a4ab292bb scsi: sd: Optimal I/O size should be a multiple of physical block size
  - e6e738e2b5ff scsi: aacraid: Fix performance issue on logical drives
  - bd8a0e656935 scsi: virtio_scsi: don't send sc payload with tmfs
  - 1653307cf0e7 s390/virtio: handle find on invalid queue gracefully
  - b52bdf53130a s390/setup: fix early warning messages
  - e19ca3fe6cf2 clocksource/drivers/arch_timer: Workaround for Allwinner A64 timer instability
  - ef8062e20614 clocksource/drivers/exynos_mct: Clear timer interrupt when shutdown
  - c1f45c10df2e clocksource/drivers/exynos_mct: Move one-shot check from tick clear to ISR
  - 06607b1b6cc9 regulator: s2mpa01: Fix step values for some LDOs
  - c288e34df128 regulator: max77620: Initialize values for DT properties
  - 462aee48a8a2 regulator: s2mps11: Fix steps for buck7, buck8 and LDO35
  - 15ead7e2a11e spi: pxa2xx: Setup maximum supported DMA transfer length
  - e51c5ec99597 spi: ti-qspi: Fix mmap read when more than one CS in use
  - 0d98ecb141a6 netfilter: ipt_CLUSTERIP: fix warning unused variable cn
  - 6bd9959aa110 mmc:fix a bug when max_discard is 0
  - 2946910ed837 mmc: sdhci-esdhc-imx: fix HS400 timing issue
  - c19b9673487e ACPI / device_sysfs: Avoid OF modalias creation for removed device
  - 468ff43f6274 xen: fix dom0 boot on huge systems
  - 24d5097655eb tracing/perf: Use strndup_user() instead of buggy open-coded version
  - f27077e5f5c5 tracing: Do not free iter->trace in fail path of tracing_open_pipe()
  - ebca08d7e862 tracing: Use strncpy instead of memcpy for string keys in hist triggers
  - 43eaa6cc1775 CIFS: Fix read after write for files with read caching
  - dc8e8ad962a8 CIFS: Do not skip SMB2 message IDs on send failures
  - 3ed9f22e28dd CIFS: Do not reset lease state to NONE on lease break
  - 41e2d1c43c87 crypto: arm64/aes-ccm - fix bugs in non-NEON fallback routine
  - d5a5bded80a6 crypto: arm64/aes-ccm - fix logical bug in AAD MAC handling
  - 66700c89f0ab crypto: x86/morus - fix handling chunked inputs and MAY_SLEEP
  - 8a9fcf4a9f1f crypto: x86/aesni-gcm - fix crash on empty plaintext
  - 5d2a5172caa4 crypto: x86/aegis - fix handling chunked inputs and MAY_SLEEP
  - 574c19d97e6b crypto: testmgr - skip crc32c context test for ahash algorithms
  - e6c703f15872 crypto: skcipher - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
  - bb1ae0aadbf1 crypto: pcbc - remove bogus memcpy()s with src == dest
  - c0bfdac6a471 crypto: morus - fix handling chunked inputs
  - dc410d2d8405 crypto: hash - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
  - 76f21678d64f crypto: arm64/crct10dif - revert to C code for short inputs
  - 4bca5a9a5dcd crypto: arm64/aes-neonbs - fix returning final keystream block
  - 0beb34b865e3 crypto: arm/crct10dif - revert to C code for short inputs
  - 4c152af938ce crypto: aegis - fix handling chunked inputs
  - 736807d69157 crypto: aead - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
  - 7a8b048430c1 fix cgroup_do_mount() handling of failure exits
  - 3b8da135a4cc libnvdimm: Fix altmap reservation size calculation
  - 696c37524beb libnvdimm/pmem: Honor force_raw for legacy pmem regions
  - 6a89ed7aa140 libnvdimm, pfn: Fix over-trim in trim_pfn_device()
  - 2b88d92ea9d2 libnvdimm/label: Clear 'updating' flag after label-set update
  - f4dfb94a0754 nfit/ars: Attempt short-ARS even in the no_init_ars case
  - e6defe76600b nfit/ars: Attempt a short-ARS whenever the ARS state is idle at boot
  - f5878c4f084d acpi/nfit: Fix bus command validation
  - 8df25eb903c5 nfit: acpi_nfit_ctl(): Check out_obj->type in the right place
  - eabd7d248e21 stm class: Prevent division by zero
  - b3139fbb3b00 tmpfs: fix uninitialized return value in shmem_link
  - d3f62d3eab0b selftests: fib_tests: sleep after changing carrier. again.
  - 8cd89bf632b2 net: set static variable an initial value in atl2_probe()
  - 29e4bfbc79b4 bnxt_en: Wait longer for the firmware message response to complete.
  - b4baeab7e084 bnxt_en: Fix typo in firmware message timeout logic.
  - a40fa9498707 nfp: bpf: fix ALU32 high bits clearance bug
  - 7ca1faa52be7 nfp: bpf: fix code-gen bug on BPF_ALU | BPF_XOR | BPF_K
  - 4523507c52b8 net: thunderx: add nicvf_send_msg_to_pf result check for set_rx_mode_task
  - 17bc53e73d0c net: thunderx: make CFG_DONE message to run through generic send-ack sequence
  - 02f8211b75c9 bpf, lpm: fix lookup bug in map_delete_elem
  - c5f37906ecb7 mac80211_hwsim: propagate genlmsg_reply return code
  - ee01ac61d1d4 phonet: fix building with clang
  - 8b9187e7df64 ARCv2: don't assume core 0x54 has dual issue
  - 3220aa9b0065 ARCv2: support manual regfile save on interrupts
  - 74b4dcea6756 ARC: uacces: remove lp_start, lp_end from clobber list
  - 2fc69e55f370 ARCv2: lib: memcpy: fix doing prefetchw outside of buffer
  - 2c049f195787 ixgbe: fix older devices that do not support IXGBE_MRQC_L3L4TXSWEN
  - 064a61d3e7b5 tmpfs: fix link accounting when a tmpfile is linked in
  - e6e9d6e29002 mm: handle lru_add_drain_all for UP properly
  - f3a9c9be0eb4 net: marvell: mvneta: fix DMA debug warning
  - e52578889c8e ARM: tegra: Restore DT ABI on Tegra124 Chromebooks
  - f715466a3f23 arm64: Relax GIC version check during early boot
  - 2f97f7125237 ARM: dts: armada-xp: fix Armada XP boards NAND description
  - e4d14f616050 qed: Fix iWARP syn packet mac address validation.
  - 821c67748623 qed: Fix iWARP buffer size provided for syn packet processing.
  - 90fc2f95c418 ASoC: topology: free created components in tplg load error
  - edd7b6b9be97 mailbox: bcm-flexrm-mailbox: Fix FlexRM ring flush timeout issue
  - 6ac400b7c5e8 xfrm: Fix inbound traffic via XFRM interfaces across network namespaces
  - 3a5321342361 net: mv643xx_eth: disable clk on error path in mv643xx_eth_shared_probe()
  - a139d6a318de qmi_wwan: apply SET_DTR quirk to Sierra WP7607
  - 13cb60c3c915 pinctrl: meson: meson8b: fix the sdxc_a data 1..3 pins
  - 90a86d00af1a net: dsa: bcm_sf2: Do not assume DSA master supports WoL
  - d33f5a0febfa net: systemport: Fix reception of BPDUs
  - 3491857f4292 scsi: libiscsi: Fix race between iscsi_xmit_task and iscsi_complete_task
  - 726832821903 keys: Fix dependency loop between construction record and auth key
  - fac71ac37634 assoc_array: Fix shortcut creation
  - 84657a1ba9bd ARM: 8835/1: dma-mapping: Clear DMA ops on teardown
  - 978e0388c22b af_key: unconditionally clone on broadcast
  - c7c68a1b9a16 bpf: fix lockdep false positive in stackmap
  - 413e39852082 bpf: only adjust gso_size on bytestream protocols
  - da3495301cda ARM: 8824/1: fix a migrating irq bug when hotplug cpu
  - b92eaed36c4b esp: Skip TX bytes accounting when sending from a request socket
  - 2f3b4f968619 clk: sunxi: A31: Fix wrong AHB gate number
  - cacf3c0d8288 kallsyms: Handle too long symbols in kallsyms.c
  - 980f44f8dd8a clk: sunxi-ng: v3s: Fix TCON reset de-assert bit
  - 5050f03ff0b1 Input: st-keyscan - fix potential zalloc NULL dereference
  - bf26feccf99c auxdisplay: ht16k33: fix potential user-after-free on module unload
  - 8e770d996ea4 i2c: bcm2835: Clear current buffer pointers and counts after a transfer
  - d9ce9aea3f63 i2c: cadence: Fix the hold bit setting
  - 8f622a7d512c net: hns: Fix object reference leaks in hns_dsaf_roce_reset()
  - 33e83ea302c0 mm: page_alloc: fix ref bias in page_frag_alloc() for 1-byte allocs
  - a9503ade1bf7 x86/CPU: Add Icelake model number
  - 388f3adb2729 net: dsa: bcm_sf2: potential array overflow in bcm_sf2_sw_suspend()
  - 8ab49fd5b072 scsi: qla2xxx: Fix panic from use after free in qla2x00_async_tm_cmd
  - 53dcaeeff145 Revert "mm: use early_pfn_to_nid in page_ext_init"
  - 8b1a7762e0da mm/gup: fix gup_pmd_range() for dax
  - 6c023d86b364 NFS: Don't use page_file_mapping after removing the page
  - d84bc704b91e xprtrdma: Make sure Send CQ is allocated on an existing compvec
  - e01f2b0821ea floppy: check_events callback should not return a negative number
  - 5ca2ef674d74 ipvs: fix dependency on nf_defrag_ipv6
  - 29452f665c2f blk-mq: insert rq with DONTPREP to hctx dispatch list when requeue
  - e0e6b0d7e09c netfilter: compat: initialize all fields in xt_init
  - a5a244451145 mac80211: Fix Tx aggregation session tear down with ITXQs
  - bff33ba4f9ca mac80211: call drv_ibss_join() on restart
  - 134891e124da Input: matrix_keypad - use flush_delayed_work()
  - e91dc2092f7f Input: ps2-gpio - flush TX work when closing port
  - 4fe714b750cb Input: cap11xx - switch to using set_brightness_blocking()
  - f49f7007de59 ARM: OMAP2+: fix lack of timer interrupts on CPU1 after hotplug
  - 8f07d76481d5 ASoC: samsung: Prevent clk_get_rate() calls in atomic context
  - 459058f0e329 KVM: arm64: Forbid kprobing of the VHE world-switch code
  - 04131dfcb910 KVM: arm/arm64: vgic: Always initialize the group of private IRQs
  - c831293622b2 arm/arm64: KVM: Don't panic on failure to properly reset system registers
  - b78379c33723 arm/arm64: KVM: Allow a VCPU to fully reset itself
  - dfe9b4d992ca KVM: arm/arm64: Reset the VCPU without preemption and vcpu state loaded
  - 20604435e2f4 ASoC: rsnd: fixup rsnd_ssi_master_clk_start() user count check
  - e07aaaa7013e ASoC: dapm: fix out-of-bounds accesses to DAPM lookup tables
  - f3f7a8b6faf8 ARM: OMAP2+: Variable "reg" in function omap4_dsi_mux_pads() could be uninitialized
  - ad4507bd2bf1 ARM: dts: Configure clock parent for pwm vibra
  - bac70a89419a Input: pwm-vibra - stop regulator after disabling pwm, not before
  - 0ed72d3f6f1d Input: pwm-vibra - prevent unbalanced regulator
  - 98a137cd0484 s390/dasd: fix using offset into zero size array error
  - cdaf89ab8f77 arm64: dts: rockchip: fix graph_port warning on rk3399 bob kevin and excavator
  - 5f4a64b040c9 KVM: arm/arm64: vgic: Make vgic_dist->lpi_list_lock a raw_spinlock
  - ac696b0176b4 clocksource: timer-ti-dm: Fix pwm dmtimer usage of fck reparenting
  - b2c642a1a618 ASoC: rt5682: Correct the setting while select ASRC clk for AD/DA filter
  - 35ad2e6d7e46 gpu: ipu-v3: Fix CSI offsets for imx53
  - 04c5c4c47c31 drm/imx: imx-ldb: add missing of_node_puts
  - 1640b5288615 gpu: ipu-v3: Fix i.MX51 CSI control registers offset
  - a308622febe1 drm/imx: ignore plane updates on disabled crtcs
  - 2e0e1f9a1e41 crypto: rockchip - update new iv to device in multiple operations
  - 5aabf06712c2 crypto: rockchip - fix scatterlist nents error
  - 3c5d7703bbd0 crypto: ahash - fix another early termination in hash walk
  - 1a10e6b5bb34 crypto: cfb - remove bogus memcpy() with src == dest
  - 0b1871d041d3 crypto: cfb - add missing 'chunksize' property
  - 6ed42ccca59d crypto: ccree - don't copy zero size ciphertext
  - 0bdd345a3848 crypto: ccree - unmap buffer before copying IV
  - 009eeb9878b4 crypto: ccree - fix free of unallocated mlli buffer
  - 6f4c11b09770 crypto: caam - fix DMA mapping of stack memory
  - 74fd74e1fc8d crypto: caam - fixed handling of sg list
  - ce36d9fafb43 crypto: ccree - fix missing break in switch statement
  - 32eeecf7ac87 crypto: caam - fix hash context DMA unmap size
  - dd6ce0316e70 stm class: Fix an endless loop in channel allocation
  - a253d1f3e490 mei: bus: move hw module get/put to probe/release
  - 02c0c70fb36e mei: hbm: clean the feature flags on link reset
  - dbcb0a590ecb iio: adc: exynos-adc: Fix NULL pointer exception on unbind
  - 3f44122e065c ASoC: codecs: pcm186x: Fix energysense SLEEP bit
  - 7d9e07582a7f ASoC: codecs: pcm186x: fix wrong usage of DECLARE_TLV_DB_SCALE()
  - 098e0f89a341 ASoC: fsl_esai: fix register setting issue in RIGHT_J mode
  - 85bdc9daff40 9p/net: fix memory leak in p9_client_create
  - e08ba890dc29 9p: use inode->i_lock to protect i_size_write() under 32-bit
  - 573d423a9bd7 media: videobuf2-v4l2: drop WARN_ON in vb2_warn_zero_bytesused()
